#Eastern Keep exit to hedgemaze (out)
from eventAPI import *
from APIUtils import *

def fireEvent(e):
   if ((gameTimeHour(getGameTime(e)) >= 19) or (gameTimeHour(getGameTime(e)) <= 6)):

      showPicture(e,"Outside_Night")

   else:

      showPicture(e, "Outside")

   if (poseYesNo(e, ["You stand in the entryway of the Eastern Keep.  The doors lead out to the courtyard.", "", "Do you leave?"])):
      setExit(e, "maps/rthedgemaze.cfg", 45, 12, 90)
      return 0
